WorkflowDocServiceImpl (gCube Workflow Documents Manager Portlet 2.4.0-SNAPSHOT API)
Date: 2015-11-01

org.gcube.portlets.admin.wfdocviewer.server

## Class WorkflowDocServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.gcube.portlets.admin.wfdocviewer.server.WorkflowDocServiceImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, WorkflowDocService

      public class WorkflowDocServiceImpl
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet
      implements WorkflowDocService

  The server side implementation of the RPC service.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_COMPANY_WEB_ID`

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkflowDocServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `deleteWorkflowDocument(WfDocumentBean docBean)`
    `ArrayList<ActionLogBean>` | `fetchActionsByWorkflowId(String workflowid)` fetchActionsByWorkflowId
    `ArrayList<WfTemplateBean>` | `getAllTemplates()`
    `ArrayList<WfDocumentBean>` | `getAllWfDocuments()`
    `ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRoleDetails>` | `getRoleDetails()`
    `ArrayList<UserBean>` | `getVREUsers()` retrieves the lis of user from the current VO/VRE
    `org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate` | `getWfReport(String id)`
    `org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate` | `getWfTemplate(String id)`
    `protected org.gcube.common.homelibrary.home.workspace.Workspace` | `getWorkspaceArea()`
    `void` | `init()` init method
    `Boolean` | `saveWorkflow(String selectedReportid, String selectedReportName, org.gcube.portlets.admin.wfdocslibrary.shared.WfGraph toSave, HashMap<String,List<UserBean>> rolesAndUsersToCreate)`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getCodeServerPolicyUrl, getRequestModuleBasePath, getSerializationPolicy, init, loadPolicyFromCodeServer, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_COMPANY_WEB_ID

          public static final String DEFAULT_COMPANY_WEB_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WorkflowDocServiceImpl

          public WorkflowDocServiceImpl()

  - ### Method Detail

    - #### init

          public void init()

      init method
      Overrides:
        `init` in class `javax.servlet.GenericServlet`

    - #### getAllWfDocuments

          public ArrayList<WfDocumentBean> getAllWfDocuments()

      Specified by:
        `getAllWfDocuments` in interface `WorkflowDocService`

    - #### getAllTemplates

          public ArrayList<WfTemplateBean> getAllTemplates()

      Specified by:
        `getAllTemplates` in interface `WorkflowDocService`

    - #### getWfTemplate

          public org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate getWfTemplate(String id)

      Specified by:
        `getWfTemplate` in interface `WorkflowDocService`

    - #### getWfReport

          public org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate getWfReport(String id)

      Specified by:
        `getWfReport` in interface `WorkflowDocService`

    - #### getRoleDetails

          public ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRoleDetails> getRoleDetails()

      Specified by:
        `getRoleDetails` in interface `WorkflowDocService`
      Returns:
        all the wfroles present in the db

    - #### getVREUsers

          public ArrayList<UserBean> getVREUsers()

      retrieves the lis of user from the current VO/VRE
      Specified by:
        `getVREUsers` in interface `WorkflowDocService`

    - #### saveWorkflow

          public Boolean saveWorkflow(String selectedReportid,
                             String selectedReportName,
                             org.gcube.portlets.admin.wfdocslibrary.shared.WfGraph toSave,
                             HashMap<String,List<UserBean>> rolesAndUsersToCreate)

      Specified by:
        `saveWorkflow` in interface `WorkflowDocService`

    - #### getWorkspaceArea

          protected org.gcube.common.homelibrary.home.workspace.Workspace getWorkspaceArea()
                                                                                    throws org.gcube.common.homelibrary.home.workspace.exceptions.WorkspaceFolderNotFoundException,
                                                                                           org.gcube.common.homelibrary.home.exceptions.InternalErrorException,
                                                                                           org.gcube.common.homelibrary.home.exceptions.HomeNotFoundException

      Returns:
        an instance of the user WorkspaceArea
      Throws:
        `org.gcube.common.homelibrary.home.exceptions.HomeNotFoundException`
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`
        `org.gcube.common.homelibrary.home.workspace.exceptions.WorkspaceFolderNotFoundException`
        `WorkspaceNotFoundException`
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`
        `org.gcube.common.homelibrary.home.exceptions.HomeNotFoundException`

    - #### fetchActionsByWorkflowId

          public ArrayList<ActionLogBean> fetchActionsByWorkflowId(String workflowid)

      fetchActionsByWorkflowId
      Specified by:
        `fetchActionsByWorkflowId` in interface `WorkflowDocService`

    - #### deleteWorkflowDocument

          public Boolean deleteWorkflowDocument(WfDocumentBean docBean)

      Specified by:
        `deleteWorkflowDocument` in interface `WorkflowDocService`

Copyright © 2015. All Rights Reserved.